import request from "@/util/request";
import setting from '@/util/setting'
const prefix = setting.suffix

export const categoryList = params => request.get(prefix + '/dsy-job-category/list', {params})
export const categoryUpdate = data => request.post(prefix + '/dsy-job-category/submit', data)
export const categoryDel = params => request.post(prefix + '/dsy-job-category/delete', {}, {params})

export const jobSave = data => request.post(prefix + '/dsy-job/submit', data)
export const jobList = params => request.get(prefix + '/dsy-job/page', {params})
export const jobDetail = params => request.get(prefix + '/dsy-job/info', {params})
export const jobRun = id => request.post(prefix + '/dsy-job/run/' + id)
export const jobCheck = (id, status) => request.post(prefix + `/dsy-job/switch/${id}?jobStatus=${status}`)
export const jobDelete = params => request.post(prefix + '/dsy-job/delete?id=' + params)
export const jobScheduleSet = params => request.post(prefix + '/dsy-job/submitcron', params)

export const instanceList = params => request.get(prefix + '/dsy-job-instance/merge-page', {params})
export const instanceGoon = params => request.post(prefix + '/dsy-job-instance/recover', {}, {params})
export const instanceCancel = params => request.post(prefix + '/dsy-job-instance/cancel', {}, {params})
export const instanceDel = params => request.post(prefix + '/dsy-job-instance/delete', {}, {params})
export const instanceStat = data => request.post(prefix + '/dsy-job-instance/stat', data,)
export const instanceDetailList = params => request.get(prefix + '/dsy-job-instance/page', {params},)