import request from "@/util/request";
import setting from "@/util/setting";
const prefix = setting.suffix;

// /etl/overview/overall 概览
export const overall = (params) => request.get(prefix + "/sql/overview/overall");
// 批作业当前调度情况
export const batchInstance = (params) => request.get(prefix + "/sql/overview/batchInstance");
// 批作业当天24小时调度折柱图
export const batchInstanceLineChart = (params) => request.get(prefix + "/sql/overview/batchInstanceLineChart");
// 30天实例运行折线图
export const instanceLineChart = (params) => request.get(prefix + "/sql/overview/instanceLineChart");
// 流作业当天调度情况
export const streamInstance = (params) => request.get(prefix + "/sql/overview/streamInstance");
// 获取流任务列表
export const jobInstancePage = (size, current) => request.get(prefix + '/sql/overview/sync/job-list?limit=20');

