import request from "@/util/request";
import setting from '@/util/setting'
const prefix = setting.suffix

export const httpExecute = data => request.post(prefix + '/http/execute', data)
// 源类型转通用类型
export const dataTypeToCustom = data => request.post(prefix + '/report/baseInfo/transformGeneralColumns', data)
// 源类型转目标类型
export const getChangeDataType = params => request.post(prefix + '/report/baseInfo/transformColumns', params)
// 字段映射列表
export const fieldMapList = params => request.get(prefix + '/report/baseInfo/get/sql-columns', {params})
// 字段映射保存
export const fieldMapSave = data => request.post(prefix + '/report/baseInfo/save/sql-columns', data)
// 字段映射删除
export const fieldMapDelete = data => request.post(prefix + '/report/baseInfo/remove/sql-columns', data.ids)

// 保留字段列表
export const reservedFieldList = params => request.get(prefix + '/report/baseInfo/get/system-columns', {params})
// 保留字段保存
export const reservedFieldSave = data => request.post(prefix + '/report/baseInfo/save/system-columns', data)
// 保留字段删除
export const reservedFieldDelete = data => request.post(prefix + '/report/baseInfo/remove/system-columns', data.ids)