import { ElMessage } from "element-plus";
export const checkData = (node, labelText, reject, filters = []) => {
  for (let key of Object.keys(node.configJson)) {
    if (
      node.configJson[key] == "" &&
      node.configJson[key] !== 0 &&
      filters.indexOf(key) == -1
    ) {
      console.log(key, node.configJson[key], "data");
      ElMessage({
        type: "warning",
        message: `节点【${node.title}】未配置${labelText[key]}`,
      });
      node.extJson.status = -1;
      return reject();
    }
  }
};
// 文件格式
export const fileFormat = [
  { label: "CSV", value: "CSV" },
  // { label: "JSON", value: "JSON" },
  // { label: "TEXT", value: "TEXT" },
  { label: "EXCEL", value: "EXCEL" },
];

// kafka offset :earliest,group_offsets,latest,specific_offsets,timestamp
export const kafkaOffset = [
  { label: "earliest", value: "earliest" },
  // { label: "group_offsets", value: "group_offsets" },
  { label: "latest", value: "latest" },
  { label: "specific_offsets", value: "specific_offsets" },
  // { label: "timestamp", value: "timestamp" },
];


