import request from "@/util/request";
import setting from '@/util/setting'
const etlPrefix = setting.suffix
const prefix = '/api'

export const typeList = params => request.get(prefix + '/dataPermType/list', {params});
export const groupPage = params => request.get(prefix + '/dataPerm/list', {params});
export const getMineAuthGroup = params => request.get(prefix + '/dataPerm/ownerList', {params});

export const getAuthByEtl = id => request.get(etlPrefix + '/job/permission/dataPermList/' + id)
export const saveAuthByEtl = data => request.post(etlPrefix + '/job/permission/perform', data)

export const getAuthByBatch = id => request.get(etlPrefix + '/dsy-job/permission/dataPermList/' + id)
export const saveAuthByBatch = data => request.post(etlPrefix + '/dsy-job/permission/perform', data)

export const getAuthBySql = id => request.get(etlPrefix + '/sqljob-permission/dataPermList/' + id)
export const saveAuthBySql = data => request.post(etlPrefix + '/sqljob-permission/perform', data)