import request from "@/util/request";
import setting from "@/util/setting";
const prefix = setting.suffix;

export const uploadFile = (file, SheetName = "") =>
  request.post(
    prefix + "/file-upload/structure?" + 'sheetName=' + SheetName,

    file,
    SheetName,
    // 请求头 上传文件
    {
      headers: {
        "Content-Type": "multipart/form-data",
      },
    }
  );

// 根据sheetName获取字段列表数据
export const getColumnList = (data) => request.post(prefix + `/file-upload/readStructure/${data.type || 'sftp'}`, data);