export default {
  name: 'TRANSFORM_SCRIPT_JAVA',
  title: 'JAVA脚本',
  icon: 'icon-java',
  pluginType: 'TRANSFORM', // 插件类型
  connectorType: 'TRANSFORM_SCRIPT_JAVA', // 连接器类型
  color: '#9b59b6',
  extJson: {},
  inMax: 1,
  outMax: 10,
  configJson: {
    fields: [],
    script_content: '// 1.仅支持jdk1.8；\n' +
      '// 2.java代码的方法必须是public static修饰，且有参数和返回值[可支持数组]。\n' +
      '\n' +
      'public class DycClass{ \n' +
      '    public static Object[] invoke(Object... args){ \n' +
      '      \tObject[] list= new Object[3];\n' +
      '        list[0]=args[0].toString();\n' +
      '       \tlist[1]=args[1].toString();\n' +
      '        list[2]=args[0].toString() + "_" + args[1].toString();\n' +
      '        return list;\n' +
      '    }\n' +
      '}\n',
  },
}
