const TokenKey = "saber-access-token";
export function setCookie(key, value, day) {
  let cookie = key + "=" + encodeURIComponent(value);
  if (day > 0) {
    let date = new Date();
    date.setDate(date.getDate() + day);
    cookie += ";expires=" + date;
  }
  document.cookie = cookie;
}
export function getCookie(key) {
  if (document.cookie.indexOf(key) < 0) {
    return;
  }
  let cookies = document.cookie.split(";");
  for (let i = 0; i < cookies.length; i++) {
    let temp = cookies[i].split("=");
    if (temp[0].replace(/\s/g, "") === key) {
      return decodeURIComponent(temp[1]);
    }
  }
}
export function getToken() {
  if (process.env.NODE_ENV === "development") {
    // return 'eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJza3k5MTEiLCJpbnN0SWQiOiIxNzM5OTMxNjQxMjY4MjYwODY5Iiwia2lkIjoibXhrX2F1dGhfandrIiwiaXNzIjoiaHR0cHM6Ly9xZXZvYy5jb20vIiwic3R5bGUiOiJ3ZWIiLCJleHAiOjE3MzIyMzI2OTcsImlhdCI6MTcyODYzMjY5NywidXNlcklkIjoiMTczOTkyNzcxNDEyMDQ1NDIzNyIsImp0aSI6IjEwNDIxNDI4MDk2MjYyNDcxNjgifQ.HiKLCVWE4-jaP8CCPhp35GiFjW1eIs2Nu6X4bfY6rBwAh5UtQ7KzmzggqwLy829zEMKScyQreKPOEFAzPfbXpA'
    return 'eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJza3k5MTEiLCJpbnN0SWQiOiIxNzM5OTI3NzE0MTg3NTYzMDc0Iiwia2lkIjoibXhrX2F1dGhfandrIiwiaXNzIjoiaHR0cHM6Ly9xZXZvYy5jb20vIiwic3R5bGUiOiJ3ZWIiLCJleHAiOjE3MzYzNjY4NzUsImlhdCI6MTczMjc2Njg3NSwidXNlcklkIjoiMTczOTkyNzcxNDEyMDQ1NDIzNyIsImp0aSI6IjEwNTk0ODI5MDkwMTE4Njk2OTYifQ.5rhNfxijK0S8isMkElJ6yAddWcGluq_0F8VRPfuHKZZiXQAEr75cLT807eee8zVK9IQDGmqWtZpN8L5wXPj3pQ'
  } else {
    return getCookie('congress')
  }
}
